# irsimsend

Section: User Commands (1)
Updated: Last change: Aug 2015
Index Return to Main Contents

## NAME

irsimsend - Send simulated IR data.

## SYNOPSIS

irsimsend [-k keysym |-l listfile ] [other options] <file> irsimsend [-v |-h] irsimsend <configfile>

## DESCRIPTION

irsimsend is a simple test tool which given a lircd configuration file will send all keys defined in that file, the keys listed in another file or a symbol defined on the command line.

The program uses the file driver to log all sent data (pulses/spaces durations) into a file 'simsend.out'. The symbols sent are printed on stdout.

## OPTIONS

-c, --count <count>
  Repeat each sent signal <count> times.

-U, --plugindir <path>
  Load drivers from path, a ':' separated search path similar to $PATH.

-l,--listfile <path>
  Send symbols listed in file instead of just the symbols in the config file. The file could either be listing a single key symbol per line, or have a complete code string like 000000000000a123 01 KEY_POWER brand on each line.

-k, --keysym
  Send a single key symbol defined in file.

-s, --start-space <useconds>
  Send an initial space before sending data.

-v , --version
  Print version and exit.

-h , --help
  Print help message.

## FILES

~/.cache/irsimsend.log
  Debug output. Setting the XDG_CACHE_HOME environment variable relocates this file to $XDG_CACHE_HOME/irsimsend.log

## SEE ALSO

The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
FILES
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 01:50:27 GMT, September 01, 2016